Bug 5852 - Masthead search, with OpacAddMastheadLibraryPulldown on, does not honor SearchMyLibraryFirst
Summary: Masthead search, with OpacAddMastheadLibraryPulldown on, does not honor Searc...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on: 5390
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 21:29 UTC by Liz Rea
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-03-10 21:29:29 UTC
With SearchMyLibraryFirst off, and OpacAddMastheadLibrarPulldown on, logged in users are defaulted to their home library, regardless of the setting for "SearchMyLibraryFirst"

The pulldown should honor the preference for "SearchMyLibraryFirst" and default to ALL if SMLF is OFF, and the patron's home library if SMLF is ON.
Comment 1 Liz Rea 2011-03-21 21:53:20 UTC
Patch from Ian Walls fixes this.
Comment 2 Chris Cormack 2011-03-23 23:33:52 UTC
This should be fixed by the patch for 5390, please test
Comment 3 Liz Rea 2011-03-26 02:23:17 UTC
Tested, fixed.